#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	22.12.0
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		akonadi-calendar
Summary:	Akonadi Calendar
Name:		ka5-%{kaname}
Version:	22.12.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	2871da578b624f351dfef7eea82c7d8f
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= 5.11.1
BuildRequires:	Qt5Test-devel >= 5.9.0
BuildRequires:	cmake >= 2.8.12
BuildRequires:	gettext-devel
BuildRequires:	ka5-akonadi-contacts-devel >= %{kdeappsver}
BuildRequires:	ka5-akonadi-devel >= %{kdeappsver}
BuildRequires:	ka5-kcalutils-devel >= %{kdeappsver}
BuildRequires:	ka5-kidentitymanagement-devel >= %{kdeappsver}
BuildRequires:	ka5-kmailtransport-devel >= %{kdeappsver}
BuildRequires:	kf5-extra-cmake-modules >= %{kframever}
BuildRequires:	kf5-kcalendarcore-devel >= %{kframever}
BuildRequires:	kf5-kcodecs-devel >= %{kframever}
BuildRequires:	kf5-kcontacts-devel >= %{kframever}
BuildRequires:	kf5-kdbusaddons-devel >= %{kframever}
BuildRequires:	kf5-kiconthemes-devel >= %{kframever}
BuildRequires:	kf5-kio-devel >= %{kframever}
BuildRequires:	kf5-knotifications-devel >= %{kframever}
BuildRequires:	kf5-kwallet-devel >= %{kframever}
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Akonadi Calendar is a library that effectively bridges the
type-agnostic API of the Akonadi client libraries and the
domain-specific KCalCore library. It provides jobs, models and other
helpers to make working with events and calendars through Akonadi
easier.

%package devel
Summary:	Header files for %{kaname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kpname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kaname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kaname}.

%prep
%setup -q -n %{kaname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%ninja_build

%if %{with tests}
ctest
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%ghost %{_libdir}/libKF5AkonadiCalendar.so.5
%attr(755,root,root) %{_libdir}/libKF5AkonadiCalendar.so.*.*.*
%attr(755,root,root) %{_libdir}/qt5/plugins/akonadi_serializer_kcalcore.so
%{_datadir}/akonadi/plugins/serializer/akonadi_serializer_kcalcore.desktop
%{_datadir}/qlogging-categories5/akonadi-calendar.categories
%{_datadir}/qlogging-categories5/akonadi-calendar.renamecategories
/etc/xdg/autostart/org.kde.kalendarac.desktop
%attr(755,root,root) %{_bindir}/kalendarac
%{_datadir}/dbus-1/services/org.kde.kalendarac.service
%{_datadir}/knotifications5/kalendarac.notifyrc
%{_datadir}/qlogging-categories5/org_kde_kalendarac.categories
%dir %{_libdir}/qt5/plugins/kf5/org.kde.kcalendarcore.calendars
%{_libdir}/qt5/plugins/kf5/org.kde.kcalendarcore.calendars/libakonadicalendarplugin.so

%files devel
%defattr(644,root,root,755)
%{_libdir}/cmake/KF5AkonadiCalendar
%{_libdir}/libKF5AkonadiCalendar.so
%{_libdir}/qt5/mkspecs/modules/qt_AkonadiCalendar.pri
%{_includedir}/KF5/AkonadiCalendar
%changelog
* Fri Dec 09 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-akonadi-calendar.git;a=log;h=master

* Thu Dec 08 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 8339ad5
- updated to 22.12.0

* Fri Nov 04 2022 Witold Filipczyk <witekfl@poczta.onet.pl> b2b39ff
- updated to 22.08.3

* Fri Oct 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 7074245
- updated to 22.08.2

* Tue Sep 13 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 6ffde4d
- rebuild with qt5-5.15.6

* Fri Sep 09 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 6555300
- relup

* Fri Sep 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 87511f6
- updated to 22.08.1

* Sat Aug 20 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 73dcff4
- relup

* Sat Aug 20 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 86ea27e
- relup

* Fri Aug 19 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 2e13864
- updated to 22.08.0

* Thu Jul 07 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 19ca68e
- updated to 22.04.3

* Sun Jun 12 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 1f24e02
- BR: kf5-knotifications-devel

* Fri Jun 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 215987d
- updated to 22.04.2

* Thu May 12 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 76bd4f0
- updated to 22.04.1

* Fri Apr 22 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 83f9e1f
- updated to 22.04.0

* Tue Apr 05 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 909959c
- bcond_with tests

* Fri Mar 04 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 09ec45f
- updated to 21.12.3

* Thu Feb 03 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 730574a
- updated to 21.12.2

* Fri Jan 07 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 22f7e14
- updated to 21.12.1

* Fri Dec 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 3e9f3c7
- updated to 21.12.0

* Fri Nov 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> d48edb2
- updated to 21.08.3

